com.lowagie.rups.view.icons

## Class IconTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - com.lowagie.rups.view.icons.IconTreeNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Direct Known Subclasses:
  FormTreeNode, OutlineTreeNode, PdfObjectTreeNode, XdpTreeNode

    public class IconTreeNode
    extends javax.swing.tree.DefaultMutableTreeNode

A tree node with a specific icon.

See Also:
  Serialized Form

### Field Summary

Fields
`protected javax.swing.Icon` `icon` The icon that has to be used for this TreeNode.
`private static long` `serialVersionUID` A Serial Version UID.

### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

### Constructor Summary

Constructors
Constructor and Description
`IconTreeNode(java.lang.String icon)` Constructs an IconTreeNode.
`IconTreeNode(java.lang.String icon, java.lang.Object userobject)` Constructs an IconTreeNode.

### Method Summary

Methods
`javax.swing.Icon` `getIcon()` Getter for the icon.

### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### icon

    protected javax.swing.Icon icon

The icon that has to be used for this TreeNode.

#### serialVersionUID

    private static final long serialVersionUID

A Serial Version UID.

See Also:
  Constant Field Values

### Constructor Detail

#### IconTreeNode

    public IconTreeNode(java.lang.String icon)

Constructs an IconTreeNode.

Parameters:
  `icon` - the filename of the icon to use for this node.

#### IconTreeNode

    public IconTreeNode(java.lang.String icon,
                java.lang.Object userobject)

Constructs an IconTreeNode.

Parameters:
  `icon` - the filename of the icon to use for this node.
  `userobject` - the userobject for this node

### Method Detail

#### getIcon

    public javax.swing.Icon getIcon()

Getter for the icon.